import { NgZone } from '@angular/core';
import { NgxValidationPolicy } from '../interface/ngx-validation-policy.interface';
import { NgxValidatorRules } from '../util/ngx-validator-rules';
import { NgxValidationResult, NgxValidationEvent } from '../interface/ngx-validation-result-model.interface';
export declare class NgxValidationRunnerService {
    private ngZone;
    private policies;
    private validationListeners;
    private requiredListeners;
    private _requiredCheckQueue;
    constructor(ngZone: NgZone);
    register(policyName: string, policy: NgxValidationPolicy): NgxValidatorRules[];
    getPolicy(policyName: string): NgxValidatorRules[];
    getValidationListener(policyName: string): import("rxjs").Observable<NgxValidationEvent>;
    getRequiredCheckListener(policyName: string): import("rxjs").Observable<NgxValidationEvent>;
    validate(policyName: any, model: any, propertyName?: any): import("rxjs").Observable<NgxValidationResult[]>;
    private _executeValidation;
    markForRequiredCheck(policyName: any, model: any): void;
    private _runRequiredCheck;
    private _executeRequiredCheckOnModel;
    createError(propertyName: any, errorMessage: any): NgxValidationResult;
}
